curl --request GET \
--url https://api.olostep.com/v1/monitors/{monitor_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olostep.com/v1/monitors/{monitor_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olostep.com/v1/monitors/{monitor_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "monitor",
"query": "<string>",
"tracked": {
"type": "<string>",
"urls": [
"<string>"
],
"web_query": "<string>"
},
"source_policy": {
"include_urls": [
"<string>"
],
"exclude_urls": [
"<string>"
],
"include_domains": [
"<string>"
],
"exclude_domains": [
"<string>"
]
},
"schedule": {
"frequency": "<string>",
"cron": "<string>",
"timezone": "UTC",
"next_run_at": "2023-11-07T05:31:56Z"
},
"notification": {
"events": [
"changed"
],
"channels": [
{
"type": "email",
"target": "<string>",
"events": [
"changed"
]
}
]
},
"webhook": {
"url": "<string>"
},
"output_schema": {},
"status": "provisioning",
"error_message": "<string>",
"last_run": {
"id": "<string>",
"status": "completed",
"change_detected": true,
"ran_at": "2023-11-07T05:31:56Z"
},
"agent": {
"id": "<string>"
},
"metadata": {},
"created": 123,
"updated": 123,
"total_count": 123,
"mermaid_diagram": "<string>"
}{
"error": "<string>",
"monitor_id": "<string>"
}Monitor abrufen
Ruft einen Monitor anhand der ID ab, einschließlich last_run und total_count. Verwende include-diagram=true für ein Mermaid DAG-Diagramm und include_total_count=false, um die Snapshot-Anzahl auszuschließen.
Autorisierungen
Bearer-Authentifizierungsheader in der Form Bearer , wobei dein Authentifizierungstoken ist.
Pfadparameter
^monitor_Abfrageparameter
Auf false oder 0 setzen, um total_count auszulassen.
true, false, 0, 1 Wenn wahr, wird mermaid_diagram für den Monitor-DAG eingeschlossen.
true, 1 Antwort
Monitor abgerufen.
Eindeutiger Monitor-Identifikator (monitor_…).
"monitor"
Überwachungsabsicht in natürlicher Sprache.
Aufgelöste Ziele, die der Monitor nach Abschluss der Planung verfolgt.
Show child attributes
Show child attributes
Optionale URL-/Domain-Zulassungs- und Sperrlisten, die während der Planung und Ausführung angewendet werden.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Optionales JSON-Schema für strukturierten Extraktionsausgabe.
Überwache den Lebenszyklusstatus.
provisioning, active, paused, failed, deleted Vorhanden, wenn status failed ist.
Neueste Snapshot-Zusammenfassung. Enthalten bei GET /v1/monitors/{monitor_id}.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Unix-Zeitstempel (Sekunden).
Unix-Zeitstempel (Sekunden).
Gesamte Snapshot-Anzahl. Enthalten bei GET /v1/monitors/{monitor_id}, es sei denn include_total_count=false.
Mermaid-Flussdiagramm des Monitor-DAG. Enthalten, wenn include-diagram=true bei Abruf.
War diese Seite hilfreich?